//: ### Autosizing
import PlaygroundSupport
import UIKit

//: The performance requirements of an autosizing layout means that it cannot be implemented inline in the playground. Open the **Sources** folder within this playground page to see the implementation.
let layout = AutosizingBoringLayout()

let collectionView = UICollectionView(frame: CGRect(x: 0, y: 0, width: 375, height: 667), collectionViewLayout: layout)
collectionView.register(AutoSizeLoggingTextCell.self, forCellWithReuseIdentifier: "cell")

let datasource = DataSource()
collectionView.dataSource = datasource
PlaygroundPage.current.liveView = collectionView

//: [Previous](@previous)
